<?php
/*
webDevStudio
Copyright (C) 2005 Alberto Martínez Fernández (albertinho_2000@hotmail.com)
                   Israel Ortiz Flores (i_ortiz_flores@hotmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
	require("../authentication.php");
	require("../compile_config.php");
	
	//Configuramos el path y el fichero de resultados
	$path=$_REQUEST['path'];
	$file=$_REQUEST['file'];
	$code=stripslashes($_REQUEST['content']);

	$user=$_SESSION['s_user'];
	$name=$_SESSION['s_name'];
	$languaje=$_SESSION['s_languaje'];
	$platform=$_SESSION['s_platform'];
	$application=$_SESSION['s_application'];
	
	//Configuramos la ruta de los ficheros a manejar	
	$result_file = realpath($path).'/result.tmp';
 
	if ($file!="") {
		//Guardamos el codigo en el fichero
		//$compile_file = realpath("../users/$user/$name/$file");
		$compile_file = realpath($file);
		$fd=fopen($compile_file,"w");
		fwrite($fd,$code);
		fclose($fd);

		//Mostramo al usuario un mensaje de guardado en el fichero de resultados
		$fd=fopen($result_file,"a+");
		fwrite($fd,"Save file successfully.\n");
		fclose($fd);
	}

	//Seleccionamos el compilador adecuado
	$path_compiler=$compiler_path[$platform][$languaje][$application];
	//Seleccionamos el generador adecuado
	$path_builder=$builder_path[$platform][$languaje][$application];
	
	//Saltamos al fichero de compilacion correspondiente
	require("../compile/".$builder_module[$platform][$languaje][$application]);
	
	//Leemos los resultados generados	
	readfile($result_file);
	
	//Borramos el fichero de resultados
	unlink($result_file);
?>
